Bug 290771 - Review Request: gsoap - Generator Tools for Coding SOAP/XML Web Services in C and C++
Review Request: gsoap - Generator Tools for Coding SOAP/XML Web Services in C...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Farrellee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 09:51 EDT by Matthew Farrellee
Modified: 2009-11-27 00:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 11:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nsantos: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2007-09-14 09:51:45 EDT
Spec URL: http://grid.et.redhat.com/files/gsoap.spec
SRPM URL: http://grid.et.redhat.com/files/gsoap-2.7.9-0.1.k.src.rpm
Description:
The gSOAP Web services development toolkit offers an XML to C/C++
language binding to ease the development of SOAP/XML Web services in C
and C/C++.
Comment 1 Nuno Santos 2007-09-21 11:47:40 EDT
Just finished my review of the gsoap package and everything looks good. Managed
to build under mock:

$ mock -r fedora-devel-i386.cfg gsoap-2.7.9-0.1.k.src.rpm 
init
clean
prep
This may take a while
unpack cache
setup
build
ending
done
Results and/or logs in: /var/lib/mock/fedora-development-i386/result
$ cd /var/lib/mock/fedora-development-i386/result
$ ls -alF
total 8400
drwxr-sr-x 2 nsantos mock    4096 Sep 21 11:42 ./
drwxr-sr-x 5 nsantos mock    4096 Sep 21 11:30 ../
-rw-r--r-- 1 nsantos mock   58086 Sep 21 11:42 build.log
-rw-rw-r-- 1 nsantos mock  414504 Sep 21 11:41 gsoap-2.7.9-0.1.k.i386.rpm
-rw-rw-r-- 1 nsantos mock 5300169 Sep 21 11:38 gsoap-2.7.9-0.1.k.src.rpm
-rw-rw-r-- 1 nsantos mock 2365469 Sep 21 11:42 gsoap-debuginfo-2.7.9-0.1.k.i386.rpm
-rw-rw-r-- 1 nsantos mock  358906 Sep 21 11:41 gsoap-devel-2.7.9-0.1.k.i386.rpm
-rw-r--r-- 1 nsantos mock     165 Sep 21 11:30 mockconfig.log
-rw-r--r-- 1 nsantos mock   14935 Sep 21 11:42 root.log
$ rpmlint *.rpm
$ 

I'm setting fedora-review+
Comment 2 Matthew Farrellee 2007-09-21 12:02:01 EDT
New Package CVS Request
=======================
Package Name: gsoap
Short Description: Generator Tools for Coding SOAP/XML Web Services in C and C++
Owners: mfarrellee
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-09-21 12:33:53 EDT
Is this your first package? Have you been sponsored?
I don't see a mfarrellee user in the cvsextras group... 

See:
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
and
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-0dbf12f9c493a3f20fae545bb9c1396cb0a88053
Comment 4 Matthew Farrellee 2007-09-21 14:18:16 EDT
(In reply to comment #3)

I was wrong about the Owner name, sorry. I've been sponsored into the cvsextras
group.

New Package CVS Request
=======================
Package Name: gsoap
Short Description: Generator Tools for Coding SOAP/XML Web Services in C and C++
Owners: matt
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-09-21 17:23:00 EDT
cvs done. 

FYI, I think your "Requires: pkgconfig" should be on the -devel subpackage, not
the main package. 
Comment 6 Mattias Ellert 2009-11-24 05:53:50 EST
Package Change Request
======================
Package Name: gsoap
New Branches: EL-4 EL-5
Owners: ellert

From my e-mail communication with the Fedora maintainer:
"I currently don't have any plans to push gsoap into EPEL. If you're interested you're welcome to do it."
Comment 7 Kevin Fenzi 2009-11-27 00:56:55 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.